Page 1 sur 1

Installation impossible sous Debian SID

Publié : 06 sept. 2019, 19:58
par archimede
Bonjour,

Tout d'abord, bravo pour le développement de Pyromaths.
Je l'ai utilisé durant plusieurs années et j'adore le concept d'exerciseur PDF et Latex.

Depuis quelques temps, Pyromaths ne fonctionne plus.
Je suis sous Debian SID :
* Impossible d'installer le paquet .deb pyromaths. Quand je lance
apt -f install pour installer les paquets manquants, pyromaths se désinstalle.

*pip install pyromaths-qt refuse de se lancer pour des questions de dépendance

* pip install pyromaths fonctionne, par contre :
pyromaths --help
Traceback (most recent call last):
File "/usr/local/bin/pyromaths", line 6, in <module>
from pyromaths.__main__ import main
File "/usr/local/lib/python2.7/dist-packages/pyromaths/__main__.py", line 43, in <module>
from pyromaths.ex import ExerciseBag
File "/usr/local/lib/python2.7/dist-packages/pyromaths/ex/__init__.py", line 57
def show(self, *, dir=None):
^
SyntaxError: invalid syntax

Donc à moins d'installer depui GIT, je suis bloqué ...
Un piste ? Pyromaths est-il toujours développé ou est-ce un projet abandonné.

Des collèges utilisent Pyromaths, on en est tous très content, alors merci de tenir à jour les paquets.

Cordialement,
Archimède

Re: Installation impossible sous Debian SID

Publié : 13 févr. 2020, 09:28
par Jérôme
Bonjour,
je n'avais pas reçu de notification pour ce message et n'ai donc pas vu celui-ci.

Pourriez-vous me dire quels sont les paquets manquants sous Debian SID ?